/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
package aspmodificator.parser.gringo;

public class ConstTerm extends Term {
	protected ConstTerm() {
		super();
	}

	public ConstTerm(Integer num) {
		super(num.toString());
	}

	public ConstTerm(Integer num, int lineNo) {
		super(num.toString(), lineNo);
	}

	public ConstTerm(String constant) {
		super(constant.toString());
	}

	public ConstTerm(String constant, int lineNo) {
		super(constant.toString(), lineNo);
	}

}
