/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
package aspmodificator.parser.gringo;

import java.util.ArrayList;
import java.util.List;

public class LuaTerm extends Term {
	protected LuaTerm() {
		super();
	}

	public LuaTerm(String id, List<Term> args) {
		super(id, new ArrayList<Literal>(args));
	}

	public LuaTerm(String id, List<Term> args, int lineNo) {
		super(id, new ArrayList<Literal>(args), lineNo);
	}

}
