/*******************************************************************************
 * Copyright (c) 2011 Martin Schwengerer.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Martin Schwengerer - initial API and implementation
 ******************************************************************************/
package aspmodificator.parser.gringo;

import java.util.ArrayList;

public class PoolTerm extends Term {
	protected PoolTerm() {
		super();
	}

	public PoolTerm(Term a, Term b, int lineNo) {
		super(";", new ArrayList<Literal>(), lineNo);
		terms.add(a);
		terms.add(b);
	}

	@Override
	public String toString() {
		return terms.get(0).toString() + ";" + terms.get(1).toString();
	}

}
